### Function

# Qmi MessageAtrSendInput new

since: 1.34

#### Declaration [src]

    QmiMessageAtrSendInput*
    qmi_message_atr_send_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageAtrSendInput`.

Available since: 1.34

#### Return value

Type: `QmiMessageAtrSendInput`

The newly created `QmiMessageAtrSendInput`. The returned value should be freed with qmi_message_atr_send_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.